# Ladybird Documentation

Ladybird development moves quickly, so some of these might be out of date. Please let us know if something here is wrong,
or submit a PR with any additions or corrections! If you have any questions that are not answered here or in the [FAQ](FAQ.md), 
you are welcome to ask on [Discord](../README.md#get-in-touch-and-participate).

## Building and Running
* [Build Instructions](BuildInstructionsLadybird.md)
* [Advanced Build Instructions](AdvancedBuildInstructions.md)
* [Troubleshooting](Troubleshooting.md)
* [Running Tests](RunningTests.md)
* [Setting Up Self-Hosted Runners](SelfHostedRunners.md)
* [Profiling the Build](BuildProfilingInstructions.md)

## Configuring Editors
* [CLion](CLionConfiguration.md)
* [Emacs](EmacsConfiguration.md)
* [Helix](HelixConfiguration.md)
* [NVim](NvimConfiguration.md)
* [Qt Creator](QtCreatorConfiguration.md)
* [Vim](VimConfiguration.md)
* [VS Code](VSCodeConfiguration.md)

## Development
* [How to Contribute](../CONTRIBUTING.md)
* [Coding Style](CodingStyle.md)
* [Common Patterns](Patterns.md)
* [Guidelines for Text in UI](HumanInterfaceGuidelines/Text.md)
* [EventLoop](EventLoop.md)
* [Smart Pointers](SmartPointers.md)
* [String Formatting](StringFormatting.md)

## Browser/LibWeb
* [Ladybird Browser Build Instructions](BuildInstructionsLadybird.md)
* [General Architecture](Browser/ProcessArchitecture.md)
* [LibWeb: From Loading to Painting](Browser/LibWebFromLoadingToPainting.md)
* [How to Add an IDL File](Browser/AddNewIDLFile.md)
* [LibWeb Code Style & Patterns](Browser/Patterns.md)

